Bug 14086 - onnode still contains the -o option in the getopts options string
onnode still contains the -o option in the getopts options string
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: CTDB
4.11.0rc1
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-13 05:38 UTC by Martin Schwenke
Modified: 2019-08-27 10:29 UTC (History)
1 user (show)

See Also:


Attachments
Patch for 4.11 (1.11 KB, patch)
2019-08-22 04:15 UTC, Martin Schwenke
amitay: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Schwenke 2019-08-13 05:38:59 UTC
Commit 90de5e0594b9180226b9a13293afe31f18576b3d dropped the -o option but failed to remove "o:" from the getopts option string.

This isn't a big deal but it causes the shellcheck/tools.sh test to fail when run with ShellCheck >= 0.4.7, which reports that the option is given to getopts but is not handled in the associated case statement.
Comment 1 Martin Schwenke 2019-08-22 04:15:43 UTC
Created attachment 15410 [details]
Patch for 4.11
Comment 2 Amitay Isaacs 2019-08-22 04:41:45 UTC
Hi Karolin,

This is ready for v4-11.

Thanks.
Comment 3 Karolin Seeger 2019-08-23 08:50:18 UTC
(In reply to Amitay Isaacs from comment #2)
Hi Amitay,

pushed to autobuild-v4-11-test.
Comment 4 Karolin Seeger 2019-08-27 10:29:54 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to v4-11-test.
Closing out bug report.

Thanks!